=== src/amdgpu-pro-16.60-411349/ttm/backport/Makefile ===

LINUXINCLUDE := $(DKMS_INCLUDE_PREFIX) $(LINUXINCLUDE)

ccflags-y += \
	-include $(TTM_FULL_PATH)/backport/backport.h
