=== debian/changelog ===
update-amd-pro-nonpro-16.60-411349 (4) xenial; urgency=medium

  * Apply fake update-secureboot-policy workaround. (LP: #1687886)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Mon, 08 May 2017 14:02:35 +0800

update-amd-pro-nonpro-16.60-411349 (3) xenial; urgency=medium

  * Fix amdgpu driver updater get stuck and can't finish upgrade process issue. (LP: #1687886) 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 04 May 2017 13:07:42 +0800

update-amd-pro-nonpro-16.60-411349 (2) xenial; urgency=medium

  * Online update for ducati-p-kbl performance mode screen blinking issue. (LP: #1650106)
    - amdgpu-pro-16.60-411349.tar.xz was re-packaged from 16.60-411349-hybrid_rel.u1604_64.zip

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 28 Apr 2017 14:42:11 +0800

update-amd-pro-nonpro-16.60-411349 (1) xenial; urgency=medium

  * Initial release

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 21 Apr 2017 13:02:25 +0800
